%define module	decorator
%define name	python-%{module}
%define version	3.4.0
%define release %mkrel 5

Summary:	Python decorator utilities
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://pypi.python.org/packages/source/d/%{module}/%{module}-%{version}.tar.gz
License:	BSD
Group:		Development/Python
Url:		http://pypi.python.org/pypi/decorator/
BuildArch:	noarch
BuildRequires:	pkgconfig(python)
BuildRequires:	python-setuptools
BuildRequires:	python-nose
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-setuptools
BuildRequires:	python3-nose

%description
The aim of the decorator module it to simplify the usage of decorators
for the average programmer, and to popularize decorators by showing
various non-trivial examples. Of course, as all techniques, decorators
can be abused and you should not try to solve every problem with a
decorator, just because you can.

%package -n python3-decorator
Summary:	Module to simplify usage of decorators in python3
Group:		Development/Python

%description -n python3-decorator
The aim of the decorator module is to simplify the usage of decorators for
the average programmer, and to popularize decorators usage giving examples
of useful decorators, such as memoize, tracing, redirecting_stdout, locked,
etc.  The core of this module is a decorator factory called decorator.

%prep 
%setup -q -n %{module}-%{version}

chmod a-x *.txt *.py
%{__sed} -i 's/\r//' README.txt

rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'


%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd

%install
%{__python} setup.py install --skip-build --root %{buildroot} 

pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd

%check
nosetests --with-doctest -e documentation3

pushd %{py3dir}
PYTHONPATH=$(pwd)/build/lib python3 documentation3.py
popd

%files
%doc *.txt documentation.py
%{python_sitelib}/*

%files -n python3-decorator
%doc *.txt documentation3.py
%{python3_sitelib}/*



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 3.4.0-5.mga4
+ Revision: 543216
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 3.4.0-4.mga4
+ Revision: 498355
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Jul 11 2013 philippem <philippem> 3.4.0-3.mga4
+ Revision: 453057
- add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 3.4.0-2.mga3
+ Revision: 378651
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 22 2012 dams <dams> 3.4.0-1.mga3
+ Revision: 309273
- new version 3.4.0

* Fri Sep 23 2011 lebedov <lebedov> 3.3.2-1.mga2
+ Revision: 147029
- Update to 3.3.2.

* Mon Jul 04 2011 ennael <ennael> 3.3.1-1.mga2
+ Revision: 118279
- remove buildroot
- imported package python-decorator


* Thu Apr 28 2011 Lev Givon <lev@mandriva.org> 3.3.1-1mdv2011.0
+ Revision: 660079
- Update to 3.3.1.

* Mon Jan 03 2011 Lev Givon <lev@mandriva.org> 3.3.0-1mdv2011.0
+ Revision: 628030
- Update to 3.3.0.

* Sun Nov 28 2010 Lev Givon <lev@mandriva.org> 3.2.1-1mdv2011.0
+ Revision: 602463
- Update to 3.2.1.

* Tue Nov 02 2010 Ahmad Samir <ahmadsamir@mandriva.org> 3.2.0-3mdv2011.0
+ Revision: 592309
- rebuild for python 2.7
- replace the obsolete %%py_requires macro and add BR python-devel

* Tue Jul 13 2010 Lev Givon <lev@mandriva.org> 3.2.0-2mdv2011.0
+ Revision: 551374
- Fix file list.
- Update to 3.2.0.

* Tue Sep 08 2009 Lev Givon <lev@mandriva.org> 3.1.2-1mdv2010.0
+ Revision: 434273
- import python-decorator


